import { AgreementConsent } from '@dvn/core/models/agreement-consent';
import { kimlikUsers } from './kimlik-users';
import { onayAgreements } from './onay-agreements';
export const onayConsents = (config) => ({
  onayConsents1: AgreementConsent.decode({
    _id: 'onayConsents1',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements1.toObject(),
    user: kimlikUsers(config).kimlikUsers4.toObject(),
  }),
  onayConsents2: AgreementConsent.decode({
    _id: 'onayConsents2',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements3.toObject(),
    user: kimlikUsers(config).kimlikUsers4.toObject(),
  }),
  onayConsents3: AgreementConsent.decode({
    _id: 'onayConsents3',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements1.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
  }),
  onayConsents4: AgreementConsent.decode({
    _id: 'onayConsents4',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements2.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
  }),
  onayConsents5: AgreementConsent.decode({
    _id: 'onayConsents5',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements1.toObject(),
    user: kimlikUsers(config).kimlikUsers6.toObject(),
  }),
  onayConsents6: AgreementConsent.decode({
    _id: 'onayConsents6',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements2.toObject(),
    user: kimlikUsers(config).kimlikUsers6.toObject(),
  }),
  onayConsents7: AgreementConsent.decode({
    _id: 'onayConsents7',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements1.toObject(),
    user: kimlikUsers(config).kimlikUsers5.toObject(),
  }),
  onayConsents8: AgreementConsent.decode({
    _id: 'onayConsents8',
    _created: new Date(),
    _updated: new Date(),
    agreement: onayAgreements(config).onayAgreements3.toObject(),
    user: kimlikUsers(config).kimlikUsers5.toObject(),
  }),
});
